Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 668392 - app-editors/notepadqq-1.4.8 : stats.cpp:160:23: error: incomplete type QDateTime used in nested name specifier
Summary: app-editors/notepadqq-1.4.8 : stats.cpp:160:23: error: incomplete type QDateT...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: qt-5.11
  Show dependency tree
 
Reported: 2018-10-11 22:21 UTC by Toralf Förster
Modified: 2019-02-25 23:56 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.49 KB, text/plain)
2018-10-11 22:21 UTC, Toralf Förster
Details
app-editors:notepadqq-1.4.8:20181011-174936.log (app-editors:notepadqq-1.4.8:20181011-174936.log,46.79 KB, text/plain)
2018-10-11 22:21 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,242.61 KB, text/plain)
2018-10-11 22:21 UTC, Toralf Förster
Details
environment (environment,55.69 KB, text/plain)
2018-10-11 22:21 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,18.54 KB, application/x-bzip)
2018-10-11 22:21 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,17.08 KB, application/x-bzip)
2018-10-11 22:22 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2018-10-11 22:21:33 UTC
stats.cpp: In static member function ‘static qint64 Stats::currentUnixTimestamp()’:
stats.cpp:160:23: error: incomplete type ‘QDateTime’ used in nested name specifier
     return QDateTime::currentDateTime().toSecsSinceEpoch();
                       ^~~~~~~~~~~~~~~
make[1]: *** [Makefile:1891: ../../out/build_data/stats.o] Error 1

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-desktop_libressl_20181006-212231

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.1
 [2] x86_64-pc-linux-gnu-8.2.0 *

Available Python interpreters, in order of preference:
  [1]   python3.6
  [2]   python2.7 (fallback)
  [3]   pypy3 (fallback)
Available Ruby profiles:
  [1]   ruby23 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
1)	IcedTea JDK 3.9.0 [icedtea-8]
*)	IcedTea JDK 3.9.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-8 
  [2]   icedtea-bin-8  system-vm

emerge -qpvO app-editors/notepadqq
[ebuild  N    ] app-editors/notepadqq-1.4.8
Comment 1 Toralf Förster gentoo-dev 2018-10-11 22:21:38 UTC
Created attachment 550748 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2018-10-11 22:21:42 UTC
Created attachment 550750 [details]
app-editors:notepadqq-1.4.8:20181011-174936.log
Comment 3 Toralf Förster gentoo-dev 2018-10-11 22:21:47 UTC
Created attachment 550752 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2018-10-11 22:21:52 UTC
Created attachment 550754 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2018-10-11 22:21:56 UTC
Created attachment 550756 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2018-10-11 22:22:00 UTC
Created attachment 550758 [details]
temp.tbz2
Comment 7 Andreas Sturmlechner gentoo-dev 2018-10-12 19:58:57 UTC
Interestingly, once again not reproducible here.
Comment 8 Larry the Git Cow gentoo-dev 2019-02-25 23:56:49 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3c65e3db84c106a2ec219ea4d78350ea200b8b9b

commit 3c65e3db84c106a2ec219ea4d78350ea200b8b9b
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2019-02-25 23:56:04 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2019-02-25 23:56:25 +0000

    app-editors/notepadqq: Fix build with Qt 5.11
    
    Closes: https://bugs.gentoo.org/668392
    Package-Manager: Portage-2.3.62, Repoman-2.3.12
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 .../files/notepadqq-1.4.8-qt-5.11-QDateTime.patch  | 25 ++++++++++++++++++++++
 app-editors/notepadqq/notepadqq-1.4.8.ebuild       |  5 ++---
 2 files changed, 27 insertions(+), 3 deletions(-)